IfcConvert(1)

NAME
IfcConvert - converts IFC files to various formats
    IfcOpenShell IfcConvert 0.8.0 (OCC 7.8.1) Usage: IfcConvert [options] <input.ifc> [<output>]

    Converts (the geometry in) an IFC file into one of the following formats:

        .obj
            WaveFront OBJ (a .mtl file is also created)

        .stp
            STEP Standard for the Exchange of Product Data

        .igs
            IGES Initial Graphics Exchange Specification

        .xml
            XML Property definitions and decomposition tree

        .svg
            SVG Scalable Vector Graphics (2D floor plan)

        .cityjson
            City JSON format for geospatial data

        .ttl
            TTL/WKT RDF Turtle with Well-Known-Text geometry

        .ifc
            IFC-SPF Industry Foundation Classes

    If no output filename given, <input>.obj will be used as the output file.

    Command line options:

        -h [ --help ]
            display usage information

        --version
            display version information

        -v [ --verbose ]
            more verbose log messages. Use twice (-vv) for debugging level.

        -q [ --quiet ]
            less status and progress output

        --stderr-progress
            output progress to stderr stream

        -y [ --yes ]
            answer 'yes' automatically to possible confirmation queries (e.g. overwriting an existing output file)

        --no-progress
            suppress possible progress bar type of prints that use carriage return

        --log-format arg
            log format: plain or json

        --log-file arg
            redirect log output to file

    Geometry options:

        --kernel arg (=opencascade)
            Geometry kernel to use (opencascade, cgal, cgal-simple).

        -j [ --threads ] arg (=1)
            Number of parallel processing threads for geometry interpretation.

        --center-model
            Centers the elements by applying the center point of all placements as an offset.Can take several minutes on large models.

        --center-model-geometry
            Centers the elements by applying the center point of all mesh vertices as an offset.

        --model-offset arg
            Applies an arbitrary offset of form ’x;y;z' to all placements.

        --model-rotation arg
            Applies an arbitrary quaternion rotation of form 'x;y;z;w' to all placements.

        --include arg
            Specifies that the instances that match a specific filtering criteria are to be included in the geometrical output:

            1)  ’entities': the following list of types should be included. SVG output defaults to IfcSpace to be included. The entity names are handled case-insensitively.

            2)  ’layers': the instances that are assigned to presentation layers of which names match the given values should be included.

            3)  ’attribute <AttributeName>': products whose value for <AttributeName> should be included . Currently supported arguments are GlobalId, Name, Description, and Tag.

            The values for 'layers' and 'arg' are handled case-sensitively (wildcards supported).--include and --exclude cannot be placed right before input file argument and only single of each argument supported for now. See also --exclude.

        --include+ arg
            Same as --include but applies filtering also to the decomposition and/or containment (IsDecomposedBy, HasOpenings, FillsVoid, ContainedInStructure) of the filtered entity, e.g. --include+=arg Name "Level 1" includes entity with name "Level 1" and all of its children. See --include for more information.

        --exclude arg
            Specifies that the entities that match a specific filtering criteria are to be excluded in the geometrical output.See --include for syntax and more details. The default value is ’--exclude=entities IfcOpeningElement IfcSpace'.

        --exclude+ arg
            Same as --exclude but applies filtering also to the decomposition and/or containment of the filtered entity. See --include+ for more details.

        --filter-file arg
            Specifies a filter file that describes the used filtering criteria. Supported formats are '--include=arg GlobalId ...' and 'include arg GlobalId ...'. Spaces and tabs can be used as delimiters.Multiple filters of same type with different values can be inserted on their own lines. See --include, --include+, --exclude, and --exclude+ for more details.

        --default-material-file arg
            Specifies a material file that describes the material object types will haveif an object does not have any specified material in the IFC file.